<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__operation__complete__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_operation_complete_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__operation__complete__t_1aceaaba9bd0ed7a45d6302d45f13d7ea3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_operation_complete_t::conn_id</definition>
        <argsstring />
        <name>conn_id</name>
        <briefdescription>
<para>ID of the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="719" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="719" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__operation__complete__t_1a388e4fc3c7ee01d7cab9e7e040dc3ee6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga05306a406063206bfa783075f5bedff2">wiced_bt_gatt_optype_t</ref></type>
        <definition>wiced_bt_gatt_optype_t wiced_bt_gatt_operation_complete_t::op</definition>
        <argsstring />
        <name>op</name>
        <briefdescription>
<para>Type of operation completed (see <ref kindref="member" refid="group__wicedbt__gatt_1ga20bd3f2b04d68644e09d61a327857f5b">wiced_bt_gatt_optype_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="720" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="720" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__operation__complete__t_1ad0bdce72b0d6c25daf0e95ea39a1b6f6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_operation_complete_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Status of operation. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="721" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="721" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__operation__complete__t_1abeaabd24870bbe8bb1caf266beea1d97" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_gatt_operation_complete_t::pending_events</definition>
        <argsstring />
        <name>pending_events</name>
        <briefdescription>
<para>Number of pending events, used to initiate next read. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="722" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="722" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__operation__complete__t_1ab934d05a1d67625734356a30935dd27e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unionwiced__bt__gatt__operation__complete__rsp__t">wiced_bt_gatt_operation_complete_rsp_t</ref></type>
        <definition>wiced_bt_gatt_operation_complete_rsp_t wiced_bt_gatt_operation_complete_t::response_data</definition>
        <argsstring />
        <name>response_data</name>
        <briefdescription>
<para>Response data (dependent on optype) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="723" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="723" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Response to read/write/disc/config operations (used by GATT_OPERATION_CPLT_EVT notification) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="207">
        <label>wiced_bt_gatt_data_t</label>
        <link refid="structwiced__bt__gatt__data__t" />
      </node>
      <node id="205">
        <label>wiced_bt_gatt_operation_complete_t</label>
        <link refid="structwiced__bt__gatt__operation__complete__t" />
        <childnode refid="206" relation="usage">
          <edgelabel>response_data</edgelabel>
        </childnode>
      </node>
      <node id="206">
        <label>wiced_bt_gatt_operation_complete_rsp_t</label>
        <link refid="unionwiced__bt__gatt__operation__complete__rsp__t" />
        <childnode refid="207" relation="usage">
          <edgelabel>att_value</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="724" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="717" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="718" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__operation__complete__t_1aceaaba9bd0ed7a45d6302d45f13d7ea3" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_t</scope><name>conn_id</name></member>
      <member prot="public" refid="structwiced__bt__gatt__operation__complete__t_1a388e4fc3c7ee01d7cab9e7e040dc3ee6" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_t</scope><name>op</name></member>
      <member prot="public" refid="structwiced__bt__gatt__operation__complete__t_1abeaabd24870bbe8bb1caf266beea1d97" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_t</scope><name>pending_events</name></member>
      <member prot="public" refid="structwiced__bt__gatt__operation__complete__t_1ab934d05a1d67625734356a30935dd27e" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_t</scope><name>response_data</name></member>
      <member prot="public" refid="structwiced__bt__gatt__operation__complete__t_1ad0bdce72b0d6c25daf0e95ea39a1b6f6" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>